Channel Management/Account Groups
Update Group
Interface description: Update group information based on groupId.
PATCH
/
api
/
v2
/
channels
/
account-groups
/
{groupId}
Update Group
curl --request PATCH \
--url https://aitoearn.cn/api/v2/channels/account-groups/{groupId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "api-doc-test-updated"
}
'import requests
url = "https://aitoearn.cn/api/v2/channels/account-groups/{groupId}"
payload = { "name": "api-doc-test-updated" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'api-doc-test-updated'})
};
fetch('https://aitoearn.cn/api/v2/channels/account-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/account-groups/{groupId}"
payload := strings.NewReader("{\n \"name\": \"api-doc-test-updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"name": "string",
"hasBrowserConfig": "boolean",
"rank": "number",
"ip": "string",
"location": "string",
"countryCode": "string",
"proxyIp": "string",
"isDefault": "boolean",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Group ID
Example:
"group-id-from-create-response"
Body
application/json
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
Group ID
Group name
Whether to include browser fingerprint configuration
sort value
IP
Location
country code
Proxy IP
Whether to group by default
creation time
Update time
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Update Group
curl --request PATCH \
--url https://aitoearn.cn/api/v2/channels/account-groups/{groupId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "api-doc-test-updated"
}
'import requests
url = "https://aitoearn.cn/api/v2/channels/account-groups/{groupId}"
payload = { "name": "api-doc-test-updated" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'api-doc-test-updated'})
};
fetch('https://aitoearn.cn/api/v2/channels/account-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/account-groups/{groupId}"
payload := strings.NewReader("{\n \"name\": \"api-doc-test-updated\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"id": "string",
"name": "string",
"hasBrowserConfig": "boolean",
"rank": "number",
"ip": "string",
"location": "string",
"countryCode": "string",
"proxyIp": "string",
"isDefault": "boolean",
"createdAt": "string",
"updatedAt": "string"
},
"requestId": "string"
}
